<!DOCTYPE html>
<html>
<head>
<title>MY Portfolio</title>
<link rel="stylesheet" href="index.css">
</head>
<body>
    <header>
        <p>
       Knowledge & Lerarning
       </p>
        <nav>
            <ul>
                <li><a href="#">Home</a></li>
                <li><a href="#">Programs</a></li>
                <li><a href="#">About Us</a></li>
            </ul>
        </nav>
    </header>
 <main>
    <article>
        <h1>Full Stack Developmet</h1>
        <p>
            Full stack development is the process of designing, creating, testing, and deploying a complete web application from start to finish. It involves working with various technologies and tools, including front-end web development, back-end web development, and database development. And full stack development is a term used to describe a software engineer or developer who works with both the front and back end of a website or application. A full-stack developer is comfortable working with front-end and back-end technologies that power a website or application.
        </p>
        <h3>Client Software (Front End)</h3>
        <p>Client software, also known as a front end, is a type of software that interacts with users. It is responsible for the graphical user interface (GUI) that users see and interact with. It allows users to access and use the features and functions of the underlying software or system. Client software typically runs on a user's local machine instead of being hosted on a remote server.
            In many cases, the client software makes the user's experience with a particular system or application possible.
            <br><h5>Front-end Languages </h5>
            <ul>
                <li>HTML is the most basic of the three languages and is used to structure content on a web page.</li>
                <li>CSS is used to style the content on a web page and can be used to create sophisticated layouts.</li>
                <li>JavaScript is used to add interactivity to a web page and can be used to create dynamic content.</li>

            </ul>
        </p>
        <h3>Server Software (Back End)</h3>
        <p>Server software, also known as the back-end software, is responsible for managing and coordinating the activities of the server. It is responsible for ensuring that the server is up and running and that all the different server components are functioning correctly. Server software also provides an interface for users to interact with the server and for administrators to manage the server.</p>
    </article>   
 </main>
</body>
<footer>
    <p>©All rights reserved</p>
    <p>Developed by Reshma</p>
 </footer>
</html>